1. Master
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Master

Get Additional Charge List

GET
/api/v1/master/additional-charges

Additional Charge List#

Purpose#

Retrieve all additional charges configured in VasyERP for a specific branch.

Why would you use this?#

Use this API when your system needs to retrieve predefined additional charges that can be applied during sales or purchase transactions, such as delivery charges, packing charges, transport charges, handling fees, coupons, or other business-specific charges.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branch_idYesUnique identifier of the branch for which additional charges need to be retrieved

Information Returned#

This API returns additional charge information including:
Additional Charge ID
Additional Charge Name
Additional Charge Type
Additional Charge Amount
Associated Tax Details
Charge Category (Sales/Purchase)

Example Use Case#

An eCommerce application creates sales orders in VasyERP and needs to apply delivery charges and packing charges configured by the merchant.
Before creating the order, the application can fetch the available additional charges and allow users to select or automatically apply the appropriate charges.

Important Notes#

Additional charges are branch-specific and may vary between branches.
Each additional charge may have an associated tax configuration.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/master/additional-charges?branch_id=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "All Additional Charge List",
    "code": "200",
    "response": [
        {
            "additionalChargeId": 77566,
            "additionalChargeType": "amount",
            "additionalChargeName": "Transport Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77567,
            "additionalChargeType": "amount",
            "additionalChargeName": "Packing Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77635,
            "additionalChargeType": "amount",
            "additionalChargeName": "Transport Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77636,
            "additionalChargeType": "amount",
            "additionalChargeName": "Packing Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77639,
            "additionalChargeType": "amount",
            "additionalChargeName": "Transport Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77640,
            "additionalChargeType": "amount",
            "additionalChargeName": "Packing Charge",
            "additionalChargeAmount": 100.0,
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 79044,
            "additionalChargeType": "amount",
            "additionalChargeName": "Test Coupon",
            "additionalChargeAmount": 0.0,
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 77670,
            "additionalChargeType": "amount",
            "additionalChargeName": "100 percent coupon",
            "additionalChargeAmount": 10.0,
            "taxId": 65603,
            "taxName": "GST 5",
            "taxRate": 5.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 78941,
            "additionalChargeType": "amount",
            "additionalChargeName": "flat 100 ruppe",
            "additionalChargeAmount": 0.0,
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 78939,
            "additionalChargeType": "amount",
            "additionalChargeName": "Delivery Chargess",
            "additionalChargeAmount": 49.0,
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 78943,
            "additionalChargeType": "amount",
            "additionalChargeName": "10P Flat",
            "additionalChargeAmount": 0.0,
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0,
            "type": "sales"
        },
        {
            "additionalChargeId": 78940,
            "additionalChargeType": "amount",
            "additionalChargeName": "Delivery Charges",
            "additionalChargeAmount": 99.0,
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0,
            "type": "sales"
        }
    ]
}
Previous
Get Tax List
Next
Get Product List
Built with